import request from '@/utils/request'

// 获取列表
export function getList(params) {
  return request({
    url: '/businessProcessingTask/doDifferenceList',
    method: 'get',
    params
  })
}

// 获取补充资料详情
export function getSuppleDetails(params) {
  return request({
    url: '/exemption/get',
    method: 'get',
    params
  })
}

// 补充资料-提交
export function suppleInfoSubmit(data) {
  return request({
    url: '/exemption/add',
    method: 'post',
    data
  })
}

// 补充资料审批-提交
export function suppleInfoApproveSubmit(data) {
  return request({
    url: '/exemption/approval',
    method: 'post',
    data
  })
}

// 补充资料审批-提交
export function downloadFile(params) {
  return request({
    url: '/exemption/download',
    method: 'get',
    params,
    responseType: 'arraybuffer'
  })
}
